Loading...
Searching...
No Matches
thread.h File Reference
Utilities » Thread

pipewire/thread.h More...

Go to the source code of this file.

## Macros

#define | PW_API_THREAD_IMPL static inline

## Functions

void | pw_thread_utils_set (struct spa_thread_utils *impl)
struct spa_thread_utils * | pw_thread_utils_get (void)
void * | pw_thread_fill_attr (const struct spa_dict *props, void *attr)
PW_API_THREAD_IMPL struct spa_thread * | pw_thread_utils_create (const struct spa_dict *props, void *(*start_routine)(void *), void *arg)
PW_API_THREAD_IMPL int | pw_thread_utils_join (struct spa_thread *thread, void **retval)
PW_API_THREAD_IMPL int | pw_thread_utils_get_rt_range (const struct spa_dict *props, int *min, int *max)
PW_API_THREAD_IMPL int | pw_thread_utils_acquire_rt (struct spa_thread *thread, int priority)
PW_API_THREAD_IMPL int | pw_thread_utils_drop_rt (struct spa_thread *thread)

## Detailed Description

pipewire/thread.h